Metacat - Bug #3397

metacat needs server side sort mechanism
06/16/2008 04:38 PM - Chad Berkley

Status: Resolved Start date: 06/16/2008
Priority: Normal Due date:

Assignee: Chad Berkley % Done: 0%
Category: metacat Estimated time: 0.00 hour
Target version: 2.1.0 Spent time: 0.00 hour
Bugzilla-ld: 3397

Description

in the past, we've been using xslt to sort search results going to a browser or client. This works fine until you use paged search
results when you need the results sorted before the paging takes place. we need to add functionality to give the server an attribute
to sort on before it pages the results. this should probably work similar to the returnfields mechanism (or with the returnfields
mechanism).

Related issues:
Is duplicate of Metacat - Bug #3413: Sort order of returned resultsets needs ... Resolved 06/23/2008

History

#1 - 06/23/2008 03:00 PM - Chad Berkley

e Bug 3413 has been marked as a duplicate of this bug.

#2 - 06/26/2008 11:27 AM - Jing Tao

Move to 1.9 milestone

#3 - 01/24/2013 12:05 PM - ben leinfelder

This should come with the SOLR implementation.

#4 - 03/27/2013 02:23 PM - Redmine Admin
Original Bugzilla ID was 3397

#5 - 05/08/2013 03:05 PM - ben leinfelder

- Status changed from New to Resolved

SOLR queries can specify a sort field 9or even a function!) - we will not implement this in pathquery.
